[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterNoIconProc

Callback procedure used when handling iconless component registration.

## Declaration

Source position: classesh.inc line 1970

`var RegisterNoIconProc: procedure(`
`ComponentClasses: array of TComponentClass`
`);`

## Description

RegisterNoIconProc can be set by an IDE to be notified when new components are being registered, and which do not need an Icon in the component palette. Application programmers should never have to set RegisterComponentsProc

Documentation generated on: Feb 26 2014